Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 41407 - --oneshot shortcut
Summary: --oneshot shortcut
Status: VERIFIED LATER
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-12 12:01 UTC by Pietro Franchi
Modified: 2005-11-01 20:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Franchi 2004-02-12 12:01:31 UTC
that's a very little thing, but:

It could be usefull to add a shortoption to --oneshot.
I saw that -o and -O are allready gone, but -N or -w or -W are still free.


Reproducible: Always
Steps to Reproduce:
Comment 1 SpanKY gentoo-dev 2004-02-12 17:48:22 UTC
i dont think the option should be used that often to need a short option ...

that's my personal preference ;)
Comment 2 Pietro Franchi 2004-02-13 05:36:38 UTC
well, for me is quite usefull because I often reemerge some lib (i.e. kdelibs) witch actually depend on my world apps,and I don't want them in my world file too.

I changed this in my emerge script adding N, and I could be usefull for others too. :)
Comment 3 SpanKY gentoo-dev 2004-04-18 00:31:45 UTC
*** Bug 48181 has been marked as a duplicate of this bug. ***
Comment 4 Jason Stubbs (RETIRED) gentoo-dev 2005-07-28 07:25:05 UTC
Putting a hold on feature requests for portage as they are drowning out the 
bugs. Most of these features should be available in the next major version of 
portage. But for the time being, they are just drowning out the major bugs and 
delaying the next version's progress. 
 
Any bugs that contain patches and any bugs for etc-update or dispatch-conf can 
be reopened. Sorry, I'm just not good enough with bugzilla. ;) 
Comment 5 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-11-01 20:54:59 UTC
fixed for quite some time, it's emerge -1 <arguments>